Name:           perl-Net-CalDAVTalk
Version:        0.10
Release:        1%{?dist}
Summary:        CalDAV client with JSON data interface
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-CalDAVTalk/
Source0:        http://www.cpan.org/authors/id/B/BR/BRONG/Net-CalDAVTalk-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(:VERSION) >= 5.6.0
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Data::ICal)
BuildRequires:  perl(Data::ICal::Entry::Alarm::Display)
BuildRequires:  perl(Data::ICal::Entry::Alarm::Email)
BuildRequires:  perl(Data::ICal::Entry::Event)
BuildRequires:  perl(Data::ICal::Entry::TimeZone)
BuildRequires:  perl(Data::ICal::Entry::TimeZone::Daylight)
BuildRequires:  perl(Data::ICal::Entry::TimeZone::Standard)
BuildRequires:  perl(Data::ICal::TimeZone) >= 1.23
BuildRequires:  perl(DateTime::Format::ICal) >= 0.09
BuildRequires:  perl(DateTime::Format::ISO8601) >= 0.08
BuildRequires:  perl(DateTime::TimeZone)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(JSON::XS)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(MIME::Types)
BuildRequires:  perl(Net::DAVTalk) >= 0.02
BuildRequires:  perl(Text::LevenshteinXS) >= 0.03
BuildRequires:  perl(Text::VCardFast) >= 0.06
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(XML::Spice)
# Tests:
BuildRequires:  perl(Test::More)
# Optional tests:
BuildRequires:  perl(Pod::Coverage) >= 0.18
# Test::CheckManifest 0.9 not used
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Data::ICal::TimeZone) >= 1.23
Requires:       perl(DateTime::Format::ICal) >= 0.09
Requires:       perl(DateTime::Format::ISO8601) >= 0.08
Requires:       perl(Net::DAVTalk) >= 0.02
Requires:       perl(Text::LevenshteinXS) >= 0.03
Requires:       perl(Text::VCardFast) >= 0.06

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((Data::ICal::TimeZone|DateTime::Format::ICal|DateTime::Format::ISO8601|Net::DAVTalk|Text::LevenshteinXS|Text::VCardFast)\\)$

%description
This a Perl library for accessing CalDAV servers providing JSON interface to
the data.

%prep
%setup -q -n Net-CalDAVTalk-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Feb 15 2017 Petr Pisar <ppisar@redhat.com> - 0.10-1
- 0.10 bump

* Fri Nov 11 2016 Petr Pisar <ppisar@redhat.com> 0.09-1
- Specfile autogenerated by cpanspec 1.78.
